﻿using Infragistics.Windows.Controls;
using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DockIndicatorTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
        }     

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            CardPanel CP = e.DropTarget as CardPanel;
            string str = CP.Name;

            if (str.Contains("Bottom"))
            {
                SplitPane SP = new SplitPane();
                ContentPane pane = new ContentPane();
                XamDockManager.SetInitialLocation(SP, InitialPaneLocation.DockedBottom);

                TextBlock TB = e.DragSource as TextBlock;
                var x = TB.Parent;

                if (x is Grid)
                {
                    Grid g = x as Grid;
                    g.Children.Remove(TB);
                }

                pane.Content = TB;
              
                DockManager1.Panes.Add(SP);
                SP.Panes.Add(pane);
            }
            else if (str.Contains("Top"))
            {
                SplitPane SP = new SplitPane();
                ContentPane pane = new ContentPane();
                XamDockManager.SetInitialLocation(SP, InitialPaneLocation.DockedTop);

                TextBlock TB = e.DragSource as TextBlock;
                var x = TB.Parent;

                if (x is Grid)
                {
                    Grid g = x as Grid;
                    g.Children.Remove(TB);
                }

                pane.Content = TB;

                DockManager1.Panes.Add(SP);
                SP.Panes.Add(pane);
            }
            else if (str.Contains("Right"))
            {
                SplitPane SP = new SplitPane();
                ContentPane pane = new ContentPane();
                XamDockManager.SetInitialLocation(SP, InitialPaneLocation.DockedRight);

                TextBlock TB = e.DragSource as TextBlock;
                var x = TB.Parent;

                if (x is Grid)
                {
                    Grid g = x as Grid;
                    g.Children.Remove(TB);
                }

                pane.Content = TB;

                DockManager1.Panes.Add(SP);
                SP.Panes.Add(pane);
            }
            else if (str.Contains("Left"))
            {
                SplitPane SP = new SplitPane();
                ContentPane pane = new ContentPane();
                XamDockManager.SetInitialLocation(SP, InitialPaneLocation.DockedLeft);

                TextBlock TB = e.DragSource as TextBlock;
                var x = TB.Parent;

                if (x is Grid)
                {
                    Grid g = x as Grid;
                    g.Children.Remove(TB);
                }

                pane.Content = TB;

                DockManager1.Panes.Add(SP);
                SP.Panes.Add(pane);
            }
        }

        private void DragSource_DragStart(object sender, Infragistics.DragDrop.DragDropStartEventArgs e)
        {
            DockingIndicator1.Visibility = Visibility.Visible;
        }

        private void DragSource_DragEnd(object sender, Infragistics.DragDrop.DragDropEventArgs e)
        {
            DockingIndicator1.Visibility = Visibility.Collapsed;
        }
    }
}
